summaryrefslogtreecommitdiffstats
path: root/extras/Solaris/checkinstall
diff options
context:
space:
mode:
Diffstat (limited to 'extras/Solaris/checkinstall')
-rw-r--r--extras/Solaris/checkinstall13
1 files changed, 13 insertions, 0 deletions
diff --git a/extras/Solaris/checkinstall b/extras/Solaris/checkinstall
new file mode 100644
index 000000000..bbc05a1bd
--- /dev/null
+++ b/extras/Solaris/checkinstall
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+expected_platform="i386"
+#
+release=`uname -r`
+platform=`uname -p`
+#
+if [ ${platform} != ${expected_platform} ]; then
+ echo "\n\n\n\tThis package must be installed on a ${expected_platform} architecture\n"
+ echo "\tAborting installation.\n\n\n"
+ exit 1
+fi
+exit 0